#ifndef _VIDEO_ENCODE_MAIN_H_
#define _VIDEO_ENCODE_MAIN_H_

#include <stdlib.h>
#include <semaphore.h>
#include "NvLogging.h"

typedef struct _THREAD_PARAM_
{
    uint8_t *fileSrc;
    u_int16_t width;
    u_int16_t heigth;
    u_int8_t fps;
    u_int8_t encType;	//1:H264  2:H265
    u_int32_t bitrate;
    pthread_mutex_t *read_camera;
    sem_t *enc_sem;
    int (* funcWriteBuf)(unsigned char *, u_int32_t);	//the function pointer of writing buffer
}THREAD_PARAM;

void *nvenc_main(void *arg);

#endif